|  | stdmatcher.h File Reference updated Fri May 16 2025 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
stdmatcher.h File Reference

C++11 std::regex-based matcher engines for pattern matching. More...

`#include <reflex/absmatcher.h>`
`#include <regex>`
Include dependency graph for stdmatcher.h:

## Classes
class | reflex::StdMatcher
| std matcher engine class implements reflex::PatternMatcher pattern matching interface with scan, find, split functors and iterators, using the C++11 std::regex library. More...
class | reflex::StdEcmaMatcher
| std matcher engine class, extends reflex::StdMatcher for ECMA std::regex::ECMAScript syntax and regex matching. More...
class | reflex::StdPosixMatcher
| std matcher engine class, extends reflex::StdMatcher for POSIX ERE std::regex::awk syntax and regex matching. More...

## Namespaces
| reflex

## Detailed Description

C++11 std::regex-based matcher engines for pattern matching.

Author
  Robert van Engelen - engel.nosp@m.en@g.nosp@m.enivi.nosp@m.a.co.nosp@m.m

Copyright
  (c) 2016-2020, Robert van Engelen, Genivia Inc. All rights reserved.
  (c) BSD-3 License - see LICENSE.txt